Delete a message in a thread
DELETE
/v1/email/threads/{thread_id}/messages/{message_id}
curl -X DELETE "https://us1.platform.bird.com/v1/email/threads/{thread_id}/messages/{message_id}" \
-H "Authorization: Bearer $TOKEN" \
--url-query "permanent=false"Moves the message to the trash. Trashed messages are permanently deleted after 30 days, or sooner if the mailbox's retention period ends first. Pass permanent=true to permanently delete the message immediately. When the last message in a conversation is permanently deleted, the conversation is deleted with it.
Parameters
thread_id
string
Thread identifier. Starts with thr_.
message_id
string
Message ID (rem_ for a received message, em_ for a sent one).
Query Parameters
permanent
boolean
Permanently delete the message immediately instead of moving it to the trash.
Related resources
Continue with the documentation, guides and examples for this topic. Resources are in English.
Watch the guideGetting started with emailExplore the capabilityEmailFollow the learning pathBuild your first integrationImplementation guideSend your first email
Try the practice and get an implementation brief